Subject: bug#27315: closed (Re: bug#27315: Regression: `abbreviate-file-name' and `tramp-file-name-handler')

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Jun 2017 08:40:02 +0000

Your bug report

#27315: Regression: `abbreviate-file-name' and `tramp-file-name-handler'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27315: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27315
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27315: Regression: `abbreviate-file-name' and `tramp-file-name-handler'
From: Michael Albinus <[email-masked]>
To: Alexander Shukaev <[email-masked]>
Cc: [email-masked]
Date: Fri, 16 Jun 2017 10:39:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Alexander Shukaev <[email-masked]> writes:

> Hi Michael,

Hi Alexander,

> Confirmed, works very well.

Thanks for confirmation, I'm closing the bug.

> Kind regards,
> Alexander

Best regards, Michael.

Subject: Regression: `abbreviate-file-name' and `tramp-file-name-handler'
From: Alexander Shukaev <[email-masked]>
To: [email-masked]
Date: Sat, 10 Jun 2017 21:00:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

In Emacs 26 series, I notice regression that has to do with 
`abbreviate-file-name' and `tramp-file-name-handler'.  Here is how to 
reproduce it:

$ emacs -Q

Paste the following to the "*scratch*" buffer:

(setq-default
   frame-title-format
   '((:eval (list (user-login-name)
                  "@"
                  (system-name)
                  ":"
                  (abbreviate-file-name (or (buffer-file-name)
                                            (file-name-as-directory
                                             default-directory)))))))

M-x eval-buffer
M-x find-file /sudo:root@localhost:~/hang

will result in hanging with the "Sending password" message in 
minibuffer.  I did not debug this, but I know for sure how to workaround 
this and, therefore, can provide a clue how to fix it.  That is

$ emacs -Q

Paste the following to the "*scratch*" buffer:

(setq-default
   frame-title-format
   '((:eval (list (user-login-name)
                  "@"
                  (system-name)
                  ":"
                  (let (file-name-handler-alist)
                    (abbreviate-file-name (or (buffer-file-name)
                                              (file-name-as-directory
                                               default-directory))))))))

M-x eval-buffer
M-x find-file /sudo:root@localhost:~/yuppie

opens the file just fine.  It means that somehow since Emacs 26 
`abbreviate-file-name' either triggers `tramp-file-name-handler' or it 
did so before but this time (I heard that the TRAMP syntax has changed) 
it might be bugged.

Michael, could you have a look at this?  Thanks!

Kind regards,
Alexander